### Function

# JavaScriptCore ExceptionHandler

unstable since: 6.0

#### Declaration

    void
    (* JSCExceptionHandler) (
      JSCContext* context,
      JSCException* exception,
      gpointer user_data
    )

#### Description [src]

Function used to handle JavaScript exceptions in a `JSCContext`.

Available since: 6.0

#### Parameters

`context`

  Type: `JSCContext`

  A `JSCContext`.

  The data is owned by the caller of the function.

`exception`

  Type: `JSCException`

  A `JSCException`.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.